Read an exact scenario revision
curl --request GET \
--url https://api.firedrill.run/v1/scenarios/definition \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/scenarios/definition"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/scenarios/definition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firedrill.run/v1/scenarios/definition",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.firedrill.run/v1/scenarios/definition"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.firedrill.run/v1/scenarios/definition")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firedrill.run/v1/scenarios/definition")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"revision": "<string>",
"scenario": {
"id": "<string>",
"name": "<string>",
"input": "<unknown>",
"checks": [
{
"id": "<string>",
"description": "<string>",
"path": "<string>",
"comparator": "equals",
"required": true,
"expected": "<string>",
"source": {
"kind": "service_state",
"namespace": "<string>",
"rowId": "<string>",
"schemaVersion": "2026-10-15-effect-check.1",
"service": "<string>"
},
"numeric": {
"schemaVersion": "2026-10-16-numeric-check.1",
"unit": "<string>",
"absoluteTolerance": 123
}
}
],
"description": "<string>",
"rubric": {
"id": "<string>",
"version": "<string>",
"dimensions": [
{
"id": "<string>",
"description": "<string>",
"anchors": [
"<string>",
"<string>",
"<string>",
"<string>",
"<string>"
],
"evidenceKinds": [
"image"
],
"applicability": {
"state": "applicable"
},
"missingEvidence": "not_assessable"
}
],
"composite": {
"schemaVersion": "2026-10-16-composite.1",
"method": "weighted_mean_ordinal",
"weights": [
{
"dimensionId": "<string>",
"weight": 123
}
]
},
"policyVersion": "2026-10-15-assessment.1"
},
"metrics": [
{
"schemaVersion": "2026-10-16-task-metric.1",
"id": "<string>",
"label": "<string>",
"path": "<string>",
"unit": "<string>",
"direction": "higher_is_better",
"source": {
"kind": "service_state",
"namespace": "<string>",
"rowId": "<string>",
"schemaVersion": "2026-10-15-effect-check.1",
"service": "<string>"
}
}
],
"serviceDatasets": {},
"sequence": {
"schemaVersion": "2026-10-14-sequence.1",
"steps": [
{
"kind": "target",
"id": "<string>",
"input": "<string>",
"when": {
"path": "<string>",
"comparator": "equals",
"step": "<string>",
"expected": "<string>"
}
}
]
}
},
"createdAt": "<string>",
"metadataOnly": false,
"retention": {
"schemaVersion": "2026-10-15-retention.1",
"policyVersion": "historical_preserved",
"state": "available",
"payloadExpiresAt": "<string>",
"metadataExpiresAt": "<string>",
"removalId": "<string>"
},
"environmentId": "<string>",
"lastExecution": {
"runId": "<string>",
"batchId": "<string>",
"environmentId": "<string>",
"execution": "error",
"assessment": "error",
"gate": "not_configured",
"createdAt": "<string>",
"startedAt": "<string>",
"finishedAt": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}Read an exact scenario revision
Requires read capability and current authority for the selected resource.
Read an exact scenario revision
curl --request GET \
--url https://api.firedrill.run/v1/scenarios/definition \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/scenarios/definition"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/scenarios/definition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firedrill.run/v1/scenarios/definition",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.firedrill.run/v1/scenarios/definition"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.firedrill.run/v1/scenarios/definition")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firedrill.run/v1/scenarios/definition")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"revision": "<string>",
"scenario": {
"id": "<string>",
"name": "<string>",
"input": "<unknown>",
"checks": [
{
"id": "<string>",
"description": "<string>",
"path": "<string>",
"comparator": "equals",
"required": true,
"expected": "<string>",
"source": {
"kind": "service_state",
"namespace": "<string>",
"rowId": "<string>",
"schemaVersion": "2026-10-15-effect-check.1",
"service": "<string>"
},
"numeric": {
"schemaVersion": "2026-10-16-numeric-check.1",
"unit": "<string>",
"absoluteTolerance": 123
}
}
],
"description": "<string>",
"rubric": {
"id": "<string>",
"version": "<string>",
"dimensions": [
{
"id": "<string>",
"description": "<string>",
"anchors": [
"<string>",
"<string>",
"<string>",
"<string>",
"<string>"
],
"evidenceKinds": [
"image"
],
"applicability": {
"state": "applicable"
},
"missingEvidence": "not_assessable"
}
],
"composite": {
"schemaVersion": "2026-10-16-composite.1",
"method": "weighted_mean_ordinal",
"weights": [
{
"dimensionId": "<string>",
"weight": 123
}
]
},
"policyVersion": "2026-10-15-assessment.1"
},
"metrics": [
{
"schemaVersion": "2026-10-16-task-metric.1",
"id": "<string>",
"label": "<string>",
"path": "<string>",
"unit": "<string>",
"direction": "higher_is_better",
"source": {
"kind": "service_state",
"namespace": "<string>",
"rowId": "<string>",
"schemaVersion": "2026-10-15-effect-check.1",
"service": "<string>"
}
}
],
"serviceDatasets": {},
"sequence": {
"schemaVersion": "2026-10-14-sequence.1",
"steps": [
{
"kind": "target",
"id": "<string>",
"input": "<string>",
"when": {
"path": "<string>",
"comparator": "equals",
"step": "<string>",
"expected": "<string>"
}
}
]
}
},
"createdAt": "<string>",
"metadataOnly": false,
"retention": {
"schemaVersion": "2026-10-15-retention.1",
"policyVersion": "historical_preserved",
"state": "available",
"payloadExpiresAt": "<string>",
"metadataExpiresAt": "<string>",
"removalId": "<string>"
},
"environmentId": "<string>",
"lastExecution": {
"runId": "<string>",
"batchId": "<string>",
"environmentId": "<string>",
"execution": "error",
"assessment": "error",
"gate": "not_configured",
"createdAt": "<string>",
"startedAt": "<string>",
"finishedAt": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}Authorizations
Opaque Firedrill interactive or scoped machine credential. The CLI handles human-approved login; CI stores its scoped credential as FIREDRILL_TOKEN. Capabilities and project/environment ownership are rechecked at use.
Query Parameters
Required string length:
1 - 160Authorization context for project-owned definitions. Required for an environment-restricted credential; keep your selected environment explicit.
Required string length:
1 - 160Pattern:
^[a-f0-9]{64}$